import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class SushiswapBentoboxContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    sushiswapBentobox({ address, network }: ContractOpts): import("./ethers").SushiswapBentobox;
}
export type { SushiswapBentobox } from './ethers';
